import { useEnumStore } from '@/stores'

const { getEnumTypes, getEnumTypeList } = useEnumStore()
const enumKeys = ['clientType'] as const
const enumMap = getEnumTypes(...enumKeys)

/**
 * 客户端类型
 */
export enum ClientType {
    None = 0,  // 保留为未填终端类型
    PCManager = 1,  // PC管理端
    PCTrade = 2,  // PC交易端
    Android = 3,  // 手机客户端_安卓
    Web = 4,  // 网页客户端
    Wechat = 5,  // 微信客户端
    IOS = 6,  // 手机客户端_苹果
    AccountOnline = 7,  // 网上开户客户端
    Invalid = 8,  // 无效终端编号
    Quote = 9,  // 报价终端
    TradeInterface = 10 // 交易接口
}

/**
 * 获取客户端类型列表
 * @returns 
 */
export function getClientTypeList() {
    return getEnumTypeList(enumMap.get('clientType'))
}